package ms.itsecteam.warpdrink.orderList;

import android.app.Activity;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageButton;
import android.widget.TextView;

import java.util.List;

import ms.itsecteam.warpdrink.R;

public class ListViewAdapter extends ArrayAdapter<Order> {

    private List<Order> items;
    private int layoutResourceId;
    private Context context;

    public ListViewAdapter(Context context, int layoutResourceId, List<Order> items) {
        super(context, layoutResourceId, items);
        this.layoutResourceId = layoutResourceId;
        this.context = context;
        this.items = items;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        View row;
        OrderHolder holder;

        LayoutInflater inflater = ((Activity) context).getLayoutInflater();
        row = inflater.inflate(layoutResourceId, parent, false);

        holder = new OrderHolder();
        holder.order = items.get(position);
        holder.btnRemoveOrder = (ImageButton)row.findViewById(R.id.btnRemoveOrder);
        holder.btnRemoveOrder.setTag(holder.order);

        holder.value = (TextView)row.findViewById(R.id.txtOrderValue);

        row.setTag(holder);

        setupItem(holder);
        return row;
    }

    private void setupItem(OrderHolder holder) {
        holder.value.setText(String.valueOf(holder.order.getValue())+" Euro");
    }

    public static class OrderHolder {
        Order order;
        TextView value;
        ImageButton btnRemoveOrder;
    }
}